Package org.apache.maven.scm.command.remoteinfo

## Class RemoteInfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.remoteinfo.RemoteInfoScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class RemoteInfoScmResult
    extends ScmResult

Since:
  1.6
Author:
  Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`RemoteInfoScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`RemoteInfoScmResult​(java.lang.String commandLine, java.util.Map<java.lang.String,​java.lang.String> branches, java.util.Map<java.lang.String,​java.lang.String> tags)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,​java.lang.String>` `getBranches()`
`java.util.Map<java.lang.String,​java.lang.String>` `getTags()`
`void` `setBranches​(java.util.Map<java.lang.String,​java.lang.String> branches)`
`void` `setTags​(java.util.Map<java.lang.String,​java.lang.String> tags)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteInfoScmResult

    public RemoteInfoScmResult​(java.lang.String commandLine,
                               java.lang.String providerMessage,
                               java.lang.String commandOutput,
                               boolean success)

#### RemoteInfoScmResult

    public RemoteInfoScmResult​(java.lang.String commandLine,
                               java.util.Map<java.lang.String,​java.lang.String> branches,
                               java.util.Map<java.lang.String,​java.lang.String> tags)

### Method Detail

#### getBranches

    public java.util.Map<java.lang.String,​java.lang.String> getBranches()

#### setBranches

    public void setBranches​(java.util.Map<java.lang.String,​java.lang.String> branches)

#### getTags

    public java.util.Map<java.lang.String,​java.lang.String> getTags()

#### setTags

    public void setTags​(java.util.Map<java.lang.String,​java.lang.String> tags)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`